## org.cybergarage.upnp.ssdp
Class SSDPPacket

    java.lang.Object
      org.cybergarage.upnp.ssdp.SSDPPacket

    public class SSDPPacket

extends java.lang.Object

Field Summary
`byte[]` `packetBytes`

Constructor Summary
`SSDPPacket(byte[] buf, int length)`

Method Summary
`java.lang.String` `getCacheControl()`
`byte[]` `getData()`
`java.net.DatagramPacket` `getDatagramPacket()`
`java.lang.String` `getHost()`
`java.net.InetAddress` `getHostInetAddress()`
`int` `getLeaseTime()`
`java.lang.String` `getLocalAddress()`
`java.lang.String` `getLocation()`
`java.lang.String` `getMAN()`
`int` `getMX()`
`java.lang.String` `getNT()`
`java.lang.String` `getNTS()`
`java.lang.String` `getRemoteAddress()`
`java.net.InetAddress` `getRemoteInetAddress()`
`int` `getRemotePort()`
`java.lang.String` `getServer()`
`java.lang.String` `getST()`
`long` `getTimeStamp()`
`java.lang.String` `getUSN()`
`boolean` `isAlive()`
`boolean` `isByeBye()`
`boolean` `isDiscover()`
`boolean` `isRootDevice()`
`void` `setLocalAddress(java.lang.String addr)`
`void` `setTimeStamp(long value)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### packetBytes

    public byte[] packetBytes

Constructor Detail

### SSDPPacket

    public SSDPPacket(byte[] buf,
                      int length)

Method Detail

### getDatagramPacket

    public java.net.DatagramPacket getDatagramPacket()

### setLocalAddress

    public void setLocalAddress(java.lang.String addr)

### getLocalAddress

    public java.lang.String getLocalAddress()

### setTimeStamp

    public void setTimeStamp(long value)

### getTimeStamp

    public long getTimeStamp()

### getRemoteInetAddress

    public java.net.InetAddress getRemoteInetAddress()

### getRemoteAddress

    public java.lang.String getRemoteAddress()

### getRemotePort

    public int getRemotePort()

### getData

    public byte[] getData()

### getHost

    public java.lang.String getHost()

### getCacheControl

    public java.lang.String getCacheControl()

### getLocation

    public java.lang.String getLocation()

### getMAN

    public java.lang.String getMAN()

### getST

    public java.lang.String getST()

### getNT

    public java.lang.String getNT()

### getNTS

    public java.lang.String getNTS()

### getServer

    public java.lang.String getServer()

### getUSN

    public java.lang.String getUSN()

### getMX

    public int getMX()

### getHostInetAddress

    public java.net.InetAddress getHostInetAddress()

### isRootDevice

    public boolean isRootDevice()

### isDiscover

    public boolean isDiscover()

### isAlive

    public boolean isAlive()

### isByeBye

    public boolean isByeBye()

### getLeaseTime

    public int getLeaseTime()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`